# UNH EXS Framework

This framework exists to test the exs functions in accordance to the ES API standards as well as the UNH EXS documentation

# Usage

-h -H - help (usage)

-v -V - indicates verbose output

-a -A - specify server address

-p -P - specify port number

-n -N - specify non-blocking (asynchronous) mode

0     - specify which test to run (can be separated by spaces)

0-1   - specify a range of tests


# Directory Information

## inc

fault.h - segmentation fault handler

param.h - describes parameter object passed throughout test execution

print.h - some helper output functions

## setup

Contains "ok" exs functions as well as information for each particular test

# File Information

test_exs_init.c - tests exs_init

test_exs_socket.c - tests exs_socket

test_exs_connect.c - tests exs_

test_exs_blocking_connect.c - tests exs_blocking_connect

test_exs_bind.c - tests exs_bind

test_exs_listen.c - tests exs_listen

test_exs_accept.c - tests exs_accept

test_exs_blocking_accept.c - tests exs_blocking_accept

test_exs_close.c - tests exs_close

test_exs_blocking_close.c - tests exs_blocking_close

test_exs_send.c - tests exs_send

test_exs_blocking_send.c - tests exs_blocking_send

test_exs_write.c - tests exs_write

test_exs_recv.c - tests exs_recv

test_exs_blocking_recv.c - tests exs_blocking_recv

test_exs_read.c - tests exs_read

test_exs_shutdown.c - tests exs_shutdown

test_exs_mregister.c - tests exs_mregister

test_exs_mderegister.c - tests exs_mderegister

test_exs_qcreate.c - tests exs_qcreate

test_exs_qdelete.c - tests exs_qdelete

test_exs_qdequeue.c - tests exs_qdequeue

test_exs_qstatus.c - tests exs_qstatus

test_exs_qmodify.c  - tests exs_qmodify

pingpong.c - connects a client and a server

test_exs_client.c - starts a client and attempts to connect to a server

test_exs_server.c - starts a server to be accepted by a client

# Running Tests

./test_all.sh - used to run all tests (parameters passed to all tests)

include **-v** to get verbose output

Note: test_all.sh pipes standard out and standard error to **NULL**
