/*
 * Copyright 2007-2016 University of New Hampshire Interoperability Laboratory
 * All rights reserved.
 *
 * This file is part of the UNH EXS implementation of the
 * Consortium Specification: Extended Sockets API (ES-API) Issue 1.0,
 * Document Number C050 published by The Open Group, January 2005,
 * and copyright 2005 by The Open Group.
 *
 * This software is available to you under a choice of one of two
 * licenses.  You may choose to be licensed under the terms of the GNU
 * General Public License (GPL) Version 2, available from the file
 * COPYING.GPL in the main directory of this source tree, or the
 * BSD license, available from the file COPYING.BSD in the main directory
 * of this source tree.
 *
 * This material is based upon work supported by the National Science
 * Foundation under Grants No. OCI-1127228 and DGE-0913620.
 *
 * Any opinions, findings, and conclusions or recommendations
 * expressed in this material are those of the authors and do not
 * necessarily reflect the views of the National Science Foundation.
 */

#ifndef _EXS_QCREATE_SETUP_H
#define _EXS_QCREATE_SETUP_H

#include "../result.h"

#define QCREATE_TESTS 3

static char *all_qcreate_tests[QCREATE_TESTS] = {
	"1  : EPERM                   : exs_qcreate(10) [no exs_init]",
	"",
	"3  : OK_EXS_QCREATE          : exs_qcreate(10)"
};

static int list_qcreate_tests(int select)
{
	if (select < 0 || select > QCREATE_TESTS) {
		fprintf(stdout, "Invalid -t test number (1 - %d)\n",
			QCREATE_TESTS);
		exit(0);
	}

	if (select == 0) {
		int i;
		for (i = 0; i < QCREATE_TESTS; i++) {
			if (strcmp(all_qcreate_tests[i], "") != 0)
				fprintf(stdout, "%s\n",
					all_qcreate_tests[i]);
		}
	} else {
		fprintf(stdout, "%s\n", all_qcreate_tests[select - 1]);
	}

	exit(0);
}

static int ok_exs_qcreate(param * p)
{
	char *name = "ok_exs_qcreate";

	p->qh = exs_qcreate(0);

	if (p->qh < 0) {
		print_error(name);
		return -1;
	}
	return 0;
}

#endif
